# $Revision: 1.2 $, $Date: 2004/04/17 18:00:50 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	CGI
%define	pnam	Persistent
Summary:	CGI::Persistent - transparent state persistence for CGI applications
Summary(pl):	CGI::Persistent - przezroczyste zachowywanie stanu dla aplikacji CGI
Name:		perl-CGI-Persistent
Version:	0.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a75aec145a04565af10acf3e7198e108
BuildRequires:	perl-CGI
BuildRequires:	perl-Persistence-Object-Simple
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTTP is a stateless protocol; a HTTP server closes connection after
serving an object. It retains no memory of the request details and
doesn't relate subsequent requests with what it has already served.

CGI::Persistent solves this problem by introducing persistent CGI
sessions that store their state data on the server side. When a new
session starts, CGI::Persistent automatically generates a unique state
identification string and associates it with a persistent object on
the server. The identification string is used in URLs or forms to
refer to the particular session. Request attributes are transparently
committed to the associated object and the object data is bound to the
query.

CGI::Persistent is derived from CGI.pm. CGI.pm methods have been
overridden as appropriate. Very few new methods have been added.

%description -l pl
HTTP jest protokoem bezstanowym; serwer HTTP zamyka poczenie po
podaniu obiektu. Nie przechowuje w pamici szczegw dotyczcych
da i nie wie nastpnych da z tym, co ju zostao podane.

CGI::Persistent rozwizuje ten problem wprowadzajc trwae sesje CGI
przechowujce dane o stanie po stronie serwera. Kiedy zaczyna si nowa
sesja, CGI::Persistent automatycznie generuje unikalny acuch
identyfikujcy stan i wie go z trwaym obiektem na serwerze. acuch
identyfikujcy jest uywany w URL-ach lub formularzach, aby wskazywa
na konkretn sesj. Atrybuty dania s w sposb przezroczysty
dodawane do powizanego obiektu, a dane obiektu s przypisane do
zapytania.

CGI::Persistent wywodzi si z CGI.pm, ktrego metody zostay
odpowiednio przykryte. Dodano tylko kilka nowych metod.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/CGI/Persistent.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Persistent.spec,v $
Revision 1.2  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.1  2004/01/08 14:24:49  qboosh
- new

